describe('Visit the whole site as anonymous', function() {
    it('visit the whole site to see if errors', function() {
      
        cy.viewport(375, 667)

        //Page d'accueil
        cy.visit('/')
        cy.get('p').should('contain', 'à la une')
        cy.get('.cypConnexionMenu').click()
        cy.get('span').should('contain', 'Connexion')
        cy.get('body').click('left')
        cy.get('button').first().click()
        cy.get('span').should('contain', 'Accueil')

        //Page de Login
        cy.visit('/Login')
        cy.get('.cypButtonConnexion').should('exist')
        cy.get('.cypLinkedInConnexion').should('exist')

        //Page d'offre(s)
        cy.visit('/Offres')
        cy.get('h1').should('contain', 'offres d\'emploi vidéo en cours')
        cy.get('.cypCardOffre').first().click()
        cy.get('.cypButtonApply').should('exist')
        cy.get('p').should('contain','Détails de l\'offre d\'emploi')
        cy.get('.player').should('exist')

        //Page des entreprises
        cy.visit('/Entreprises')
        cy.get('.cypCardCompany').last().click()//could use .eq(2) instead of .last()
        cy.get('.player').should('exist')

        //Help
        cy.visit('/Help')
        cy.get('h1').should('contain','Comment ça marche')

    })
})